/*
******************************************************************************
*  Name     : BitmapUtilsDemoDocument.h
*  Date     : 30.7.04
*  Description:
*     Application Document framnework.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/

#ifndef BitmapUtilsDemoDOCUMENT_H
#define BitmapUtilsDemoDOCUMENT_H

#include <akndoc.h>
   
class  CEikAppUi;


/**
 * class CBitmapUtilsDemoDocument: Application Document framnework.
 *
 * @author Susigames.com
 */
class CBitmapUtilsDemoDocument : public CAknDocument
    {
    public:
        static CBitmapUtilsDemoDocument* NewL(CEikApplication& aApp);
        virtual ~CBitmapUtilsDemoDocument();

    private:
        CBitmapUtilsDemoDocument(CEikApplication& aApp);
        void ConstructL();

        /**
         * CreateAppUiL: From CEikDocument.
         *
         * @return CEikAppUi* 
         */
        CEikAppUi* CreateAppUiL();
    };

#endif

// End of File

