/*
******************************************************************************
*  Name     : BitmapUtilsDemoDocument.cpp
*  Date     : 30.7.04
*  Description:
*     Application Document framnework.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/


#include "BitmapUtilsDemoDocument.h"
#include "BitmapUtilsDemoAppUi.h"


CBitmapUtilsDemoDocument::CBitmapUtilsDemoDocument(CEikApplication& aApp)
: CAknDocument(aApp)    
{
}


CBitmapUtilsDemoDocument::~CBitmapUtilsDemoDocument()
{
}


void CBitmapUtilsDemoDocument::ConstructL()
{
}


CBitmapUtilsDemoDocument* CBitmapUtilsDemoDocument::NewL(CEikApplication& aApp)
{
    CBitmapUtilsDemoDocument* self = new (ELeave) CBitmapUtilsDemoDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
}
    
CEikAppUi* CBitmapUtilsDemoDocument::CreateAppUiL()
{
    return new (ELeave) CBitmapUtilsDemoAppUi;
}

// End of File  
